import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnOpsLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-01 14:50
 */
interface CnOpsLogCU extends ConditionUtil<CnOpsLogCU> {
    ID: FieldUtil<CnOpsLogCU>;
    ENTITY_ID: FieldUtil<CnOpsLogCU>;
    OPS_BEFORE: FieldUtil<CnOpsLogCU>;
    OPS_AFTER: FieldUtil<CnOpsLogCU>;
    DELETED: FieldUtil<CnOpsLogCU>;
    CREATE_USER_ID: FieldUtil<CnOpsLogCU>;
    CREATE_TIME: FieldUtil<CnOpsLogCU>;
    UPDATE_USER_ID: FieldUtil<CnOpsLogCU>;
    UPDATE_TIME: FieldUtil<CnOpsLogCU>;
}
declare class CnOpsLogMU extends TableUtilImpl<CnOpsLogCU, CnOpsLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnOpsLogCU;
    static get ID(): FieldUtil<CnOpsLogCU>;
    static get ENTITY_ID(): FieldUtil<CnOpsLogCU>;
    static get OPS_BEFORE(): FieldUtil<CnOpsLogCU>;
    static get OPS_AFTER(): FieldUtil<CnOpsLogCU>;
    static get DELETED(): FieldUtil<CnOpsLogCU>;
    static get CREATE_USER_ID(): FieldUtil<CnOpsLogCU>;
    static get CREATE_TIME(): FieldUtil<CnOpsLogCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnOpsLogCU>;
    static get UPDATE_TIME(): FieldUtil<CnOpsLogCU>;
    get ID(): FieldUtil<CnOpsLogCU>;
    get ENTITY_ID(): FieldUtil<CnOpsLogCU>;
    get OPS_BEFORE(): FieldUtil<CnOpsLogCU>;
    get OPS_AFTER(): FieldUtil<CnOpsLogCU>;
    get DELETED(): FieldUtil<CnOpsLogCU>;
    get CREATE_USER_ID(): FieldUtil<CnOpsLogCU>;
    get CREATE_TIME(): FieldUtil<CnOpsLogCU>;
    get UPDATE_USER_ID(): FieldUtil<CnOpsLogCU>;
    get UPDATE_TIME(): FieldUtil<CnOpsLogCU>;
}
export { CnOpsLogMU, CnOpsLogCU };
